*** slime.texi	01 Jan 2007 19:33:36 -0800	1.51
--- slime.texi	14 Jan 2007 16:53:24 -0800	
***************
*** 158,164 ****
  @item
  Steel Bank Common Lisp (@acronym{SBCL}), latest official release
  @item
! OpenMCL, version 0.14.3
  @item
  LispWorks, version 4.3 or newer
  @item
--- 158,164 ----
  @item
  Steel Bank Common Lisp (@acronym{SBCL}), latest official release
  @item
! OpenMCL, version 0.14.3 or newer
  @item
  LispWorks, version 4.3 or newer
  @item
***************
*** 271,277 ****
  @iftex
  The snippet above also appears in the @file{README} file. You can
  copy&paste it from there, but remember to fill in the appropriate
! path.
  @end iftex
  
  We recommend not loading the @acronym{ILISP} package into Emacs if you
--- 271,277 ----
  @iftex
  The snippet above also appears in the @file{README} file. You can
  copy&paste it from there, but remember to fill in the appropriate
! paths.
  @end iftex
  
  We recommend not loading the @acronym{ILISP} package into Emacs if you
***************
*** 370,381 ****
  There is one exception to this rule, just to trip you up. We never
  bind @kbd{C-h} anywhere in a key sequence, so @kbd{C-c C-d C-h}
  doesn't do the same thing as @kbd{C-c C-d h}. This is because Emacs
! has a builtin default so that typing a prefix followed by @kbd{C-h}
  will display all bindings starting with that prefix, so @kbd{C-c C-d
  C-h} will actually list the bindings for all documentation commands.
  This feature is just a bit too useful to clobber!
  
! You can assign or change default key bindings using the @code{global-set-key}
  function in your @file{~/.emacs} file like this:
  @example
  (global-set-key "\C-cs" 'slime-selector)
--- 370,381 ----
  There is one exception to this rule, just to trip you up. We never
  bind @kbd{C-h} anywhere in a key sequence, so @kbd{C-c C-d C-h}
  doesn't do the same thing as @kbd{C-c C-d h}. This is because Emacs
! has a built-in default so that typing a prefix followed by @kbd{C-h}
  will display all bindings starting with that prefix, so @kbd{C-c C-d
  C-h} will actually list the bindings for all documentation commands.
  This feature is just a bit too useful to clobber!
  
! You can assign or change default key bindings globally using the @code{global-set-key}
  function in your @file{~/.emacs} file like this:
  @example
  (global-set-key "\C-cs" 'slime-selector)
***************
*** 383,388 ****
--- 383,398 ----
  @noindent
  which binds @kbd{C-c s} to the function @code{slime-selector}.
  
+ Alternatively, if you want to assign or change a key binding in just a
+ particular slime mode, you can use the @code{global-set-key} function in
+ your @file{~/.emacs} file like this:
+ @example
+ (define-key slime-repl-mode-map (kbd "C-c ;") 'slime-insert-balanced-comments)
+ @end example
+ @noindent
+ which binds @kbd{C-c ;} to the function
+ @code{slime-insert-balanced-comments} in the REPL buffer.
+ 
  @c ----------------------- 
  @node inferior-lisp, Multithreading, About key bindings, User-interface conventions
  @subsection @code{*inferior-lisp*} buffer
***************
*** 446,452 ****
  categories: @strong{Programming, Compilation, Evaluation, Recovery,
  Inspector, and Profiling}, discussed in separate sections below. There
  are also comprehensive indices to commands by function (@pxref{Index
! to Functions}) and by function (@pxref{Index to Key Bindings}).
  
  @menu
  * Programming::         
--- 456,462 ----
  categories: @strong{Programming, Compilation, Evaluation, Recovery,
  Inspector, and Profiling}, discussed in separate sections below. There
  are also comprehensive indices to commands by function (@pxref{Index
! to Functions}) and by key binding (@pxref{Index to Key Bindings}).
  
  @menu
  * Programming::         
***************
*** 638,644 ****
  
  @SLIME{}'s cross-reference commands are based on the support provided
  by the Lisp system, which varies widely between Lisps. For systems
! with no builtin @acronym{XREF} support @SLIME{} queries a portable
  @acronym{XREF} package, which is taken from the @cite{CMU AI
  Repository} and bundled with @SLIME{}.
  
--- 648,654 ----
  
  @SLIME{}'s cross-reference commands are based on the support provided
  by the Lisp system, which varies widely between Lisps. For systems
! with no built-in @acronym{XREF} support @SLIME{} queries a portable
  @acronym{XREF} package, which is taken from the @cite{CMU AI
  Repository} and bundled with @SLIME{}.
  
***************
*** 1414,1420 ****
  Connect to a running Swank server.
  
  @fcnanchor{slime-disconnect}
! Disconnect all connextions.
  
  @fcnanchor{slime-connection-list-mode}
  Connection-list. @acronym{SLIME} Connection List Mode.
--- 1424,1430 ----
  Connect to a running Swank server.
  
  @fcnanchor{slime-disconnect}
! Disconnect all connections.
  
  @fcnanchor{slime-connection-list-mode}
  Connection-list. @acronym{SLIME} Connection List Mode.
***************
*** 1621,1627 ****
  @end table
  
  The default request handling style is chosen according to the
! capabilities your Lisp system. The general order of preference is
  @code{:SPAWN}, then @code{:SIGIO}, then @code{:FD-HANDLER}, with
  @code{NIL} as a last resort. You can check the default style by
  calling @code{SWANK-BACKEND:PREFERRED-COMMUNICATION-STYLE}. You can
--- 1631,1637 ----
  @end table
  
  The default request handling style is chosen according to the
! capabilities of your Lisp system. The general order of preference is
  @code{:SPAWN}, then @code{:SIGIO}, then @code{:FD-HANDLER}, with
  @code{NIL} as a last resort. You can check the default style by
  calling @code{SWANK-BACKEND:PREFERRED-COMMUNICATION-STYLE}. You can
***************
*** 1744,1750 ****
  Since we're going to be tunneling our connection via
  ssh@footnote{there is a way to connect without an ssh tunnel, but it
  has the side-effect of giving the entire world access to your lisp
! image, se we're not gonig to talk about it} and we'll only have on
  port open we want to tell swank to not use an extra connection for
  output:
  
--- 1754,1760 ----
  Since we're going to be tunneling our connection via
  ssh@footnote{there is a way to connect without an ssh tunnel, but it
  has the side-effect of giving the entire world access to your lisp
! image, se we're not gonig to talk about it} and we'll only have one
  port open we want to tell swank to not use an extra connection for
  output:
  
***************
*** 1852,1858 ****
  friends outside of the @REPL{}. If you have any other threads which
  call @code{format}, @code{write-string}, etc. that output will be seen
  only in the @code{*inferior-lisp*} buffer or on the terminal, more
! often than not this inconvenient. So, if you want code such as this:
  
  @example
  (run-in-new-thread
--- 1862,1868 ----
  friends outside of the @REPL{}. If you have any other threads which
  call @code{format}, @code{write-string}, etc. that output will be seen
  only in the @code{*inferior-lisp*} buffer or on the terminal, more
! often than not this is inconvenient. So, if you want code such as this:
  
  @example
  (run-in-new-thread
